Not work with local svn with db/format 6

Create issue
Issue #407 invalid
yyjdelete created an issue
abort: Unable to open an ra_local session to URL
Unable to open repository 'file:///D:/tmp/2'
Expected FS format between '1' and '4'; found format '6'

the local svn is created by TortoiseSVN 1.8.2(svn 1.8.3)

Comments (4)

  1. Augie Fackler repo owner

    This means your libraries are older than the version of svnadmin you used to create the repository. Not an hgsubversion issue at all.

  2. Magnus Therning

    The fact that it works for the yyjdelete doesn't really mean this is an invalid issue!

    The version of the SVN libs bundled with hgsubversion is getting a bit old:

    C:\devo>hg version --svn
    Mercurial Distributed SCM (version 2.9.1)
    (see http://mercurial.selenic.com for more information)
    
    Copyright (C) 2005-2014 Matt Mackall and others
    This is free software; see the source for copying conditions. There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    
    hgsubversion: 4cdb0e95604f
    Subversion: 1.6.16
    bindings: SWIG
    

    I think upstream SVN is up to 1.8 by now.

  3. Log in to comment